Atualizar escritório
curl --request PATCH \
--url https://api.jurichat.com/office/{id} \
--header 'Content-Type: application/json' \
--header 'x-jurichat-api-key: <api-key>' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"inOnboarding": true,
"allowProcessLookupByTypedDocument": true
}
'import requests
url = "https://api.jurichat.com/office/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"inOnboarding": True,
"allowProcessLookupByTypedDocument": True
}
headers = {
"x-jurichat-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-jurichat-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
inOnboarding: true,
allowProcessLookupByTypedDocument: true
})
};
fetch('https://api.jurichat.com/office/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Office
Atualizar escritório
Atualiza os dados do escritório.
PATCH
/
office
/
{id}
Atualizar escritório
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
Identificador do recurso.
Pattern:
^[cC][^\s-]{8,}$Body
application/json
Nome do escritório.
E-mail de contato do escritório.
Telefone do escritório.
Indica se o escritório ainda está no onboarding.
Autoriza o atendimento a consultar processos por um CPF/CNPJ digitado pelo cliente no chat. Ligar assume um risco conhecido: a integração confirma que o documento existe no cadastro do escritório, não que pertence a quem está do outro lado da conversa. Desligado (padrão), a consulta só acontece pelo número do processo ou pelo documento já cadastrado pelo escritório no contato. Omitir o campo mantém o valor atual.
Response
Default Response
The response is of type string.